<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/

// Klassenübersicht = Startseite
$route['default_controller'] = 'klasse/index';
$route['schule/login'] = 'schule/login';
$route['schule/logout'] = 'schule/logout';
$route['schule/index'] = 'klasse/index'; // abwärtskompatibel

// Schülergruppen
$route['schuelergruppe/index/(:any)'] = 'schuelergruppe/index/$1';

// Schülersuche
$route['schuelersearch/name'] = 'schuelersearch/name';
$route['schuelersearch/index'] = 'schuelersearch/index';
$route['schuelersearch/search'] = 'schuelersearch/search';

// Ein einzelner Schüler
$route['schueler/view/(:any)'] = 'schueler/view/$1';

// Klassen- und Kursübersicht
$route['klasse/index'] = 'klasse/index';
$route['klasse/index/(:any)'] = 'klasse/index/$1';
$route['klasse/export'] = 'klasse/export';

$route['kurs/index'] = 'kurs/index';
$route['kurs/index/(:any)'] = 'kurs/index/$1';
$route['kurs/export'] = 'kurs/export';

// Lehrerformular+Suche nach Lehrern
$route['lehrer/index'] = 'lehrer/index';
$route['lehrer/search'] = 'lehrer/search';

// Konferenzfolien
$route['konferenz/index'] = 'konferenz/index';
$route['konferenz/export'] = 'konferenz/export';
$route['konferenz/druck'] = 'konferenz/druck';
$route['konferenz/klasse/(:any)'] = 'konferenz/klasse/$1';
$route['konferenz/jahrgang/(:any)'] = 'konferenz/jahrgang/$1';

// *
$route['(:any)'] = 'klasse/index';

