<?php 

// ================================================
//  1. Globale Einstellungen
// ================================================

// a) Basis-Optionen

$config['login'] = false; // Login erforderlich für Dateneinsicht

// b) Fotos

$config['schuelerfotos'] = false; // Sind in der DB Schülerfotos enthalten?
$config['schuelerfotos_abgerundet'] = false; // Fotos abgerundet darstellen?
$config['schuelerfotos_breite'] = 160; // Breite der Fotos (für Platzhalter)
$config['schuelerfotos_hoehe'] = 160; // Höhe der Fotos (für Platzhalter)

$config['lehrerfotos'] = false; // Sind in der DB Lehrerfotos enthalten?
$config['lehrerfotos_abgerundet'] = false; // Fotos abgerundet darstellen?
$config['lehrerfotos_breite'] = 160; // Breite der Fotos (für Platzhalter)
$config['lehrerfotos_hoehe'] = 160; // Höhe der Fotos (für Platzhalter)

// c) GUI-Optionen

$config['theme'] = "spacelab"; // GUI-Theme (default, cerulean, cosmo, darkly, flatly, journal, litera, lumen, lux, materia, minty, pulse, sandstone, spacelab, united, yeti)
$config['backbutton'] = false; // Zurück-Button in der Menüleiste
$config['notentab_kursart_ignorieren'] = array(); // Kursarten, die in Notentabellen (Schüler, Klasse) ignoriert werden sollen
$config['notentab_fach_ignorieren'] = array(); // Fächer, die in Notentabellen (Schüler, Klasse) ignoriert werden sollen
$config['klassennoten_fehlt'] = '-'; // Zeichen, das in den Klassennoten bei fehlender Note angezeigt wird
$config['jahrgaenge_trennung'] = ''; // Ab welchem Jahrgang soll eine andere Farbe verwendet werden? (z.B. 'EF' für SI vs. SII, '07' für G8 vs. G9)
$config['fehlstunden_pro_fach'] = true; // in Klassentabelle im aktuellen Abschnitt Fehlstunden in der Oberstufe zusätzlich pro Fach anzeigen

// d) Konferenzfolien-Optionen

$config['konferenzfolien']['theme'] = "simple"; // Foliendesign: beige, serif, simple, sky, solarized, white
$config['konferenzfolien']['transition'] = "linear"; // Folienübergang: default, cube, page, concave, zoom, linear, none
$config['konferenzfolien']['schuelerfotos'] = false; // Sollen Schülerfotos auf den Folien gezeigt werden?
$config['konferenzfolien']['schuelerfotos_abgerundet'] = false; //  Schülerfotos abgerundet anzeigen?

$config['konferenzfolien']['entwertet_anzeigen'] = false
; // nicht gewertete Abschnitte (bei Wiederholern) einblenden?
$config['konferenzfolien']['warnung_explizit'] = false; // Warnungen explizit als "w" neben der Note kennzeichnen
$config['konferenzfolien']['epoche_markieren'] = false; // Epochenunterricht zusätzlich kennzeichnen
$config['konferenzfolien']['fehlstunden_pro_fach'] = true; // Fehlstunden in der Oberstufe zusätzlich pro Fach anzeigen
$config['konferenzfolien']['abschnitte_ignorieren'] = array(); // Anzeige einschränken durch zu ignorierende Abschnitte
$config['konferenzfolien']['kursart_ignorieren'] = array(); // Kursarten, die in der Notenaufstellung ignoriert werden sollen
$config['konferenzfolien']['fach_ignorieren'] = array(); // Fächer, die in der Notenaufstellung ignoriert werden sollen

$config['konferenzfolien']['engagement'] = true; // Außerunterrichtliches Engagement anzeigen
$config['konferenzfolien']['asv'] = true; // Bemerkungen zum Arbeits- und Sozialverhalten anzeigen
$config['konferenzfolien']['allgemein'] = true; // Allgemeine Zeugnisbemerkungen anzeigen


// ================================================
//  2. Berechtigungen 
// ================================================

// a) allgemeine Berechtigungen (haben immer Vorrang)

$access['schueler_noten'] = true; // Schülernoten: Klassennoten, Kursnoten, Notenbild eines einzelnen Schülers, Konferenzfolien
$access['schueler_abschnitte'] = true; // Umschalten auf zurückliegende Abschnitte bei Klassen und Kursen
$access['schueler_vermerke'] = true; // Laufbahnbemerkungen eines Schülers (u.a. Disziplinarbemerkungen)
$access['lehrer'] = true; // Abfrage und Anzeige von Lehrerdaten
$access['betriebe'] = false; // Abfrage und Anzeige von Betriebsdaten

// b) Benutzerberechtigungen

$access['poweruser']['kennwort'] = 'geheim'; // Kennwort
$access['poweruser']['schueler_noten'] = true; // s.o.
$access['poweruser']['schueler_abschnitte'] = true; 
$access['poweruser']['schueler_vermerke'] = true; 
$access['poweruser']['lehrer'] = true;
$access['poweruser']['betriebe'] = true;

$access['user']['kennwort'] = 'geheim'; // Kennwort
$access['user']['schueler_noten'] = false; // s.o.
$access['user']['schueler_abschnitte'] = false; 
$access['user']['schueler_vermerke'] = false; 
$access['user']['lehrer'] = false;
$access['user']['betriebe'] = false;

?>