<?php

class Schuelergruppe extends CI_Controller {

	// Attribute, um die DB-Konfiguration und App-Konfiguration zwischenzuspeichern
	private $my_db = 'mysql';
	private $my_charset = 'utf-8';
	private $myconfig;
	private $myaccess;
		

	public function __construct() {
		parent::__construct();
		
		$this->load->helper('url');		
		$this->load->model('schuelergruppe_model');

		$this->load->library('session');

		// Binde die DB-Konfiguration ein
		require(APPPATH.'config/database.php');		
		$this->my_db = $active_group; // Welche DB?
		$this->my_charset = $db[$active_group]['char_set']; // Welcher Zeichensatz?	

		// Binde die SchildInfo-Konfiguration ein
		require(APPPATH.'config/schildinfo-config.php');		
		$this->myconfig = $config;
		$this->myaccess = $access;
    }



	/* ----------------------------------------------------------------------- */
	/*  Kernmethode stellt Bedingungen für jeden Fall zusammen                 */
	/* ----------------------------------------------------------------------- */

	/* Ermittelt und stellt eine Schülerliste bzgl. des übergebenen Kriteriums (und optionaler Parameter) dar. */
	public function index($modus, $param1='', $param2='', $param3='', $param4='', $param5='') {

		if ($this->checkLogin()===false) { redirect('/schule/login'); } // Login erforderlich und noch nicht erfolgt?


		// 1. Auswertung der Parameter

		$id = "";
		$data['aktiv'] = "schueler"; // aktiver GUI-Bereich für fast alle Fälle		

		// Modus: Klasse, Kurs, Wiederholer usw.
		$data['modus'] = $modus;
		
		// Adressanzeige?
		$adressen = false;
		if (($param1==='adresse') || ($param2==='adresse') || ($param3==='adresse') || ($param4==='adresse')) { $adressen = true; }
		$data['adressen'] = $adressen;

		// Betriebeanzeige?
		$betriebe = false;
		if (($param1==='betriebe') || ($param2==='betriebe') || ($param3==='betriebe') || ($param4==='betriebe')) { $betriebe = true; }
		$data['betriebe'] = $betriebe;

		// Mailanzeige?
		$mail = false;
		if (($param1==='mailadressen') || ($param2==='mailadressen') || ($param3==='mailadressen') || ($param4==='mailadressen')) { $mail = true; }
		$data['mail'] = $mail;

		// Fotoanzeige?
		$fotos = false;
		if (($param1==='fotos') || ($param2==='fotos') || ($param3==='fotos') || ($param4==='fotos')) { $fotos = true; }
		$data['fotos'] = $fotos;

		// Namensanzeige?
		$namen = false;
		if (($param1==='namen') || ($param2==='namen') || ($param3==='namen') || ($param4==='namen')) { $namen = true; }
		$data['namen'] = $namen;
			
		// Notenanzeige (nur Klassenmodus)?
		$noten = false;
		if (($modus==='klasse') && (($param2==='noten') || ($param3==='noten') || ($param4==='noten'))) { $noten = true; }
		$data['noten'] = $noten;

		// Abschnittsanzeige (nur Klassenmodus)?
		$abschnitte = false;
		if (($modus==='klasse') && (($param2==='abschnitte') || ($param3==='abschnitte'))) { $abschnitte = true; }
		$data['abschnitte'] = $abschnitte;

		// Anzeige eines alten Abschnitts (nur Klassenmodus)?
		$alterabschnitt = false;
		if (($modus==='klasse') && (substr($param2,0,2)==="20")) { // Schuljahresangabe zu Beginn von Par. 2?
			$schuljahr = $param2;
			$abschnitt = $param3;
			$alterabschnitt = true; 
		}
		$data['alterabschnitt'] = $alterabschnitt;

		// Druckausgabe?
		$druck = false;
		if (($param1==='print') || ($param2==='print') || ($param3==='print') || ($param4==='print') || ($param5==='print')) { $druck = true; }

		$farbdruck = false;
		if (($param1==='colorprint') || ($param2==='colorprint') || ($param3==='colorprint') || ($param4==='colorprint') || ($param5==='colorprint')) { $druck = true; $farbdruck = true; }

		// Excel-Ausgabe?
		$excel = false;
		if (($param1==='excel') || ($param2==='excel') || ($param3==='excel') || ($param4==='excel') || ($param5==='excel')) { $excel = true; }
			
				
		// 2. Verzweige: Hole die benötigten Daten abhängig vom Modus
		
		switch ($modus) {
			case "aktiv": { // Aktive Schüler
				$data['schueler'] = $this->schuelergruppe_model->getAktiveSchueler();
				$data['title'] = 'Aktive Sch&uuml;ler'; // Titel der Seite
				$data['excelfilename'] = 'Aktive';
				$data['infomessage'] = "Kein aktiver Sch&uuml;ler in der Datenbank!";
				break;
			}
			case "wdh": { // Wiederholer
				$data['schueler'] = $this->schuelergruppe_model->getWiederholer();
				$data['title'] = 'Wiederholer'; // Titel der Seite
				$data['excelfilename'] = 'Wiederholer';
				$data['infomessage'] = "Kein Wiederholer in der Datenbank!";
				break;
			}			
			case "neuaufnahmen": { // Neuaufnahmen
				$data['schueler'] = $this->schuelergruppe_model->getNeuaufnahmenSchueler();
				$data['title'] = 'Neuaufnahmen zum n&auml;chsten Schuljahr'; // Titel der Seite
				$data['excelfilename'] = 'Neuaufnahmen';				
				$data['infomessage'] = "Keine Neuaufnahmen zum n&auml;chsten Schuljahr in der Datenbank!";
				break;
			}			
			case "warteliste": { // Warteliste
				$data['schueler'] = $this->schuelergruppe_model->getWartelisteSchueler();
				$data['title'] = 'Sch&uuml;ler auf der Warteliste'; // Titel der Seite
				$data['excelfilename'] = 'Warteliste';				
				$data['infomessage'] = "Keine Sch&uuml;er auf der Warteliste in der Datenbank!";
				break;
			}			
			case "urlaub": { // Beurlaubte
				$data['schueler'] = $this->schuelergruppe_model->getBeurlaubteSchueler();
				$data['title'] = 'Beurlaubte Sch&uuml;ler'; // Titel der Seite
				$data['excelfilename'] = 'Beurlaubte';				
				$data['infomessage'] = "Keine beurlaubten Sch&uuml;er in der Datenbank!";
				break;
			}			
			case "extern": { // Externe
				$data['schueler'] = $this->schuelergruppe_model->getExterneSchueler();
				$data['title'] = 'Externe Sch&uuml;ler'; // Titel der Seite
				$data['excelfilename'] = 'Externe';				
				$data['infomessage'] = "Keine externen Sch&uuml;er in der Datenbank!";
				break;
			}						
			case "neulaufend": { // Neuaufnahmen zum laufenden Schuljahr
				$data['schueler'] = $this->schuelergruppe_model->getNeuaufnahmenLaufend();
				$data['title'] = 'Neuaufnahmen zum laufenden Schuljahr'; // Titel der Seite
				$data['excelfilename'] = 'NeuaufnahmenLaufend';				
				$data['infomessage'] = "Keine Neuaufnahmen zum laufenden Schuljahr in der Datenbank!";
				break;
			}			
			case "neuzuletzt": { // Neuaufnahmen zum vorangegangenen Schuljahr
				$data['schueler'] = $this->schuelergruppe_model->getNeuaufnahmenZuletzt();
				$data['title'] = 'Neuaufnahmen im vergangenen Schuljahr'; // Titel der Seite
				$data['excelfilename'] = 'NeuaufnahmenZuletzt';				
				$data['infomessage'] = "Keine Neuaufnahmen im vergangenen Schuljahr in der Datenbank!";
				break;
			}			
			case "ablaufend": { // Abgänger im laufenden Schuljahr
				$data['schueler'] = $this->schuelergruppe_model->getAbgaengerLaufend();
				$data['title'] = 'Abg&auml;nger im laufenden Schuljahr'; // Titel der Seite
				$data['excelfilename'] = 'AbgaengerLaufend';
				$data['infomessage'] = "Keine Abg&auml;nger im laufenden Schuljahr in der Datenbank!";
				break;
			}			
			case "abzuletzt": { // Abgänger im vorangegangenen Schuljahr
				$data['schueler'] = $this->schuelergruppe_model->getAbgaengerZuletzt();
				$data['title'] = 'Abg&auml;nger im vergangenen Schuljahr'; // Titel der Seite
				$data['excelfilename'] = 'AbgaengerZuletzt';				
				$data['infomessage'] = "Keine Abg&auml;nger im vergangenen Schuljahr in der Datenbank!";
				break;
			}			
			case "finalzuletzt": { // Schüler mit Abschluss im vorangegangenen Schuljahr
				$data['schueler'] = $this->schuelergruppe_model->getAbschluesseZuletzt();
				$data['title'] = 'Sch&uuml;ler mit Abschluss im vergangenen Schuljahr'; // Titel der Seite
				$data['excelfilename'] = 'Abschluesse';				
				$data['infomessage'] = "Keine Sch&uuml;ler mit Abschluss im vergangenen Schuljahr in der Datenbank!";
				break;
			}						
			case "klasse": { // Klasse - inkl. Notenübersicht!

				// a) Treffe Vorbereitungen (unabhängig von Noten- oder Kerndatenmodus)

				$data['infomessage'] = "Kein Sch&uuml;ler in der Klasse eingetragen!";
				$data['aktiv'] = "klassen"; // aktiver Bereich hier: Klassen!
				$data['excelfilename'] = 'Klassenliste-'.$param1;	
				if ($adressen===true) { $data['excelfilename'] = 'Adressliste-'.$param1; }			
				
				// gewünschte Klasse
				$id = $param1;
				
				// zentrale Schuldaten
				$schule = $this->schuelergruppe_model->getSchuldaten();	
				$data['schule'] = $schule;	

				// gewünschter Abschnitt
				list($schuljahr_aktuell, $abschnitt_aktuell) = $this->schuelergruppe_model->getAbschnitt(); 
				if ($alterabschnitt===false) {
					$schuljahr = $schuljahr_aktuell;
					$abschnitt = $abschnitt_aktuell;					
				}
				
				// Ermittle evtl. Vorgängerklasse
				$vorgaengerklasse = $this->schuelergruppe_model->getVorgaengerklasse($id);
				if (($vorgaengerklasse!=null) && ($vorgaengerklasse!='')) {
					$data['vorgaengerklasse'] = $vorgaengerklasse;	
					$data['vorgaengerschuljahr'] = $schuljahr_aktuell - 1;
					$data['vorgaengerabschnitt'] = $schule->anzahlabschnitte;
				}
				else { 
					$vorgaengerklasse = '';
					$data['vorgaengerklasse'] = ''; 
				}

				// Titel evtl. inkl. Abschnitt
				$data['title'] = "Klasse $id"; // Titel der Seite
				if ($alterabschnitt===true) {
					$data['title'] = $data['title'].', '.$schuljahr.'/'.($schuljahr+1).'.'.$abschnitt;
				}
				
				// Liegt die Klasse in der Vergangenheit, d.h. wird gerade eine Vorgängerklasse angefordert?
				$klasse = $id;
				if (($alterabschnitt===true) && ($schuljahr < $schuljahr_aktuell)) {
					$klasse = $vorgaengerklasse;
					$data['title'] = $data['title'] . ' (' .$vorgaengerklasse. ')';
				}
				
				// Oberstufe wird anders dargestellt bzw. nicht in die Vergangenheit verlinkt
				$jahrgang = $this->schuelergruppe_model->getJahrgangByKlasse($klasse);
				$oberstufe = false;
				$qualiphase = false;
				if (($jahrgang==='Q1') || ($jahrgang==='Q2') || ($jahrgang==='12') || ($jahrgang==='13')) {
					$oberstufe = true;
					$qualiphase = true;
				}
				if (($jahrgang==='EF') || ($jahrgang==='11')) {
					$oberstufe = true;
				}
				$data['oberstufe'] = $oberstufe;
				$data['qualiphase'] = $qualiphase;
				
				// Stelle alte Abschnitte für Verlinkung zusammen
				$data['aktuelleabschnitte'] = $this->schuelergruppe_model->getAbschnitteByKlasseBeforeNow($id, $schuljahr_aktuell, $abschnitt_aktuell);
				if ($vorgaengerklasse!='') {
					$data['letzteabschnitte'] = $this->schuelergruppe_model->getAbschnitteZuletztByKlasse($vorgaengerklasse, $schuljahr_aktuell, $abschnitt_aktuell);									
				}
				$alteabschnitte = false;
				if ((count($data['aktuelleabschnitte'])>0) || (($vorgaengerklasse!='') && (count($data['letzteabschnitte'])>0))) { $alteabschnitte = true; }
				$data['alteabschnitte'] = $alteabschnitte;
				
				// b) Hole die Daten abhängig von der Darstellung (Liste, Noten)
				
				if ($noten===false) { // Kerndaten oder Adressdaten
					$data['schueler'] = $this->schuelergruppe_model->getAktiveSchuelerByParameterAndAbschnitt($id,'',$schuljahr,$abschnitt,$klasse);
				}
				else { // Notenübersicht einer Klasse
					
					// Ist es ein Versetzungsabschnitt?
					$data['lastabschnitt'] = false;
					$data['versetzunganzeigen'] = false;
					if ($schule->anzahlabschnitte===$abschnitt) {
						$data['lastabschnitt'] = true;		
						if ($alterabschnitt===false) { // Aktueller Abschnitt? Versetzungsentscheidung anzeigen
							if ($qualiphase===false) {
								$data['versetzunganzeigen'] = true;								
							}
						}				
					}
					
					// Abschluss nur für 09, 10, Oberstufe und am Schuljahreende sinnvoll (in Q2, 13 immer wegen FHR!)
					$abschlussmoeglich = false;
					if ((($oberstufe===true) || ($jahrgang==="10") || ($jahrgang==="09")) && ($data['lastabschnitt']===true)) {
						$abschlussmoeglich = true;
					}
					if (($jahrgang==="Q2") || ($jahrgang==="13")) {
						$abschlussmoeglich = true;						
					}
					$data['abschlussmoeglich'] = $abschlussmoeglich;
			
					// Hole die Daten (Schüler, Fächer, Noten)
					$data['schueler'] = $this->schuelergruppe_model->getAktiveSchuelerByParameterAndAbschnitt($id,'',$schuljahr,$abschnitt,$klasse);
					$data['faecher'] = $this->schuelergruppe_model->getFaecherByKlasseAndAbschnitt($id, $schuljahr, $abschnitt, $klasse, $oberstufe, $this->my_db, $this->myconfig['notentab_kursart_ignorieren'], $this->myconfig['notentab_fach_ignorieren']);
					$data['faechernoten'] = $this->schuelergruppe_model->getNotenByKlasseAndAbschnitt($id,$schuljahr,$abschnitt,$klasse,$this->my_db);
				}
				break;
			}			
			case "jahrgang": { // Jahrgang
				$id = $param1;
				$data['schueler'] = $this->schuelergruppe_model->getAktiveSchuelerByASDJahrgang($id);
				$data['title'] = "Jahrgang $id"; // Titel der Seite
				$data['excelfilename'] = 'Jahrgang-'.$id;				
				$data['infomessage'] = "Kein Sch&uuml;ler im Jahrgang eingetragen!";
				break;
			}			
			case "kurs": { // Kurs			
				$id = $param1;

				$derkurs = $this->schuelergruppe_model->getKursInfos($id);
				list($schuljahr_aktuell, $abschnitt_aktuell) = $this->schuelergruppe_model->getAbschnitt(); // ermittle aktuellen Abschnitt

				// Gehe abhängig vom Alter des Kurses vor		
				$aktuell = true;		
				if ($schuljahr_aktuell!=$derkurs->jahr) { // Kurs im älteren Schuljahr
					$aktuell = false;
					$data['kursalter'] = 'alt';
					$data['title'] = "Kurs $derkurs->kurzbez ($derkurs->lehrerkrz), ".$derkurs->jahr."/".($derkurs->jahr+1).".".$derkurs->abschnitt; // Titel der Seite		
				}
				else { // Kurs im aktuellen Schuljahr
					$data['kursalter'] = 'aktuell';					
					$data['title'] = "Kurs $derkurs->kurzbez ($derkurs->lehrerkrz)"; // Titel der Seite				
				}

				$data['schueler'] = $this->schuelergruppe_model->getSchuelerByKurs($id, $aktuell, $this->my_db); // Komplexe Anfrage mit Mehrfach-Join hängt syntaktisch leider von der DB ab!	
													
				$data['infomessage'] = "Kein Sch&uuml;ler im Kurs eingetragen!"; // falls kein Match
				$data['aktiv'] = "kurse"; // aktiver Bereich hier: Kurse!

				if ($adressen===true) { $data['excelfilename'] = 'Adressliste_'.$derkurs->lehrerkrz.'_'.$derkurs->asdjahrgang.'_'.$derkurs->kurzbez; }
				else { $data['excelfilename'] = 'Kursliste-'.$derkurs->lehrerkrz.'_'.$derkurs->asdjahrgang.'_'.$derkurs->kurzbez; }
				break;
			}		
			default: { // unbekannte Gruppenbezeichnung -> Fehlermeldung
				$data['modus'] = '';
				$data['title'] = "Anfrageergebnis";
				$data['infomessage'] = "Unbekannte Sch&uuml;lergruppe!";				
			}	
		}		


		// 3. Ausgabe an die entsprechenden Views weiterleiten

		// Hilfsvariablen für die Ausgabe
		if (!empty($data['schueler'])) { $data['titlecount'] = count($data['schueler']); } // Anzahl der Datensätze
		$data['path'] = site_url(""); // Pfad inkl. index.php
		$data['basepath'] = base_url(""); // Basispfad ohne index.php
		$data['charset'] = $this->my_charset; // Nutze den DB-Zeichensatz für die Ausgabe (sonst Darstellungsprobleme!)		
		$data['adresse'] = $adressen;
		$data['druck'] = $druck;
		$data['farbdruck'] = $farbdruck;
		$data['config'] = $this->myconfig;
		$data['access'] = $this->myaccess;
		if ($this->myconfig['login']===true) { $data['username'] = $this->session->userdata('username'); }
	
		// Mailadressen	
		if ($mail) {		
			$data['mailadressen'] = $this->schuelergruppe_model->getErzieherEmails();
		}

		// Betriebsadressen			
		if ($betriebe) {
			$data['betriebeadressen'] = $this->schuelergruppe_model->getBetriebeAdressen($this->my_db);
		}

		// Fotos
		if ($fotos) {
			$data['allefotos'] = $this->schuelergruppe_model->getFotos($this->my_db);
		}

		if ($excel===false) { // HTML-Ausgabe
			
			// a) Header
			$this->load->view('templates/header', $data);			

			// b) Navigationsleiste
			if ($druck===false) { // normaler Header
				$this->load->view('templates/navbar', $data);
			}			
			
			// c) Titel der Seite (inkl. Anzahl der Matches)	
			$this->load->view('templates/title', $data);

			// d) Inhalt
			if (($data['modus'] != '') && (!empty($data['schueler']))) { 

				// i) Buttonleiste zum Umschalten zwischen normaler Ansicht und Adressansicht
				if ($druck===false) {	
					$data['base_url'] = site_url("");
						
					$url = site_url("").'/schuelergruppe/index/'.$modus;
					if ($id!='') { $url = $url.'/'.$id; }
					$data['abschnitt_url'] = $url.'/abschnitte';
				
					if (($modus==='klasse') && ($alterabschnitt===true)) {
						$url = $url.'/'.$schuljahr.'/'.$abschnitt; 
					}
					$data['url'] = $url;
			
					$full_url = $url;
					if ($adressen===true) { $full_url = $full_url.'/adresse'; }
					if ($mail===true) { $full_url = $full_url.'/mailadressen'; }
					if ($fotos===true) { $full_url = $full_url.'/fotos'; }		
					if ($betriebe===true) { $full_url = $full_url.'/betriebe'; }
					if ($namen===true) { $full_url = $full_url.'/namen'; }
					if ($noten===true) { $full_url = $full_url.'/noten'; }
					$data['full_url'] = $full_url;
						
					$this->load->view('schuelergruppe/switch', $data);								
				}
			
				// ii) Ergebnistabelle
				if ($adressen===true) { // Adressdaten
					$this->load->view('schuelergruppe/adressen', $data);				
				}
				else if ($mail===true) { // Maildaten
					$this->load->view('schuelergruppe/mail', $data);				
				}
				else if ($fotos===true) { // Maildaten
					$data['round'] = $this->myconfig['schuelerfotos_abgerundet'];
					$this->load->view('schuelergruppe/fotos', $data);				
				}
				else if ($betriebe===true) { // Betriebe

					// Ist der Zugriff freigeschaltet?
	    			if ((!isset($this->myaccess)) || (!isset($this->myaccess['betriebe'])) || (!$this->myaccess['betriebe']===true)) { return; }	

	    			// Ist im Benutzermodus der Notenzugriff freigeschaltet?
						if ($this->myconfig['login']===true) {
							$username = $this->session->userdata('username');
							if ($this->myaccess[$username]['betriebe']===false) { return; }	
						}	

					$this->load->view('schuelergruppe/betriebe', $data);			
				}
				else { 
					if (($modus==='klasse') && ($noten===true)) { // Sonderfall: Klassennoten

						// ZUGRIFFSPRÜFUNG						

						// Sind Noten generell freigeschaltet?
						if ((!isset($this->myaccess)) || (!isset($this->myaccess['schueler_noten'])) || (!$this->myaccess['schueler_noten']===true)) {
							return;
						}

						// Ist im Benutzermodus der Notenzugriff freigeschaltet?
						if ($this->myconfig['login']===true) {
							$username = $this->session->userdata('username');
							if ($this->myaccess[$username]['schueler_noten']===false) { return; }	
						}
												
						$this->load->view('schuelergruppe/klassennoten', $data);					
					}
					else if (($modus==='klasse') && ($abschnitte===true)) { // Sonderfall: Klassenabschnitte

						// ZUGRIFFSPRÜFUNG						

						// Sind Abschnitte generell freigeschaltet?
						if ((!isset($this->myaccess)) || (!isset($this->myaccess['schueler_abschnitte'])) || (!$this->myaccess['schueler_abschnitte']===true)) {
							return;
						}
						
						// Ist im Benutzermodus der Abschnittszugriff freigeschaltet?
						if ($this->myconfig['login']===true) {
							$username = $this->session->userdata('username');
							if ($this->myaccess[$username]['schueler_abschnitte']===false) { return; }	
						}						

						$data['id'] = $id;
						$this->load->view('schuelergruppe/klassenabschnitte', $data);					
					}
					else { // Kerndaten
						$this->load->view('schuelergruppe/list', $data);						
					}
				}
			}
			else { // Sonderfall: keine passenden Datensätze gefunden
				$this->load->view('templates/info', $data);						
			}

			// e) Footer
			$this->load->view('templates/footer');			
		}
		
		else { // Excel-Ausgabe

			if ($adressen===true) { // Adressdaten
				$this->load->view('schuelergruppe/adressen-excel', $data);				
			}
			else if ($mail===true) { // Adressdaten
				$this->load->view('schuelergruppe/mail-excel', $data);				
			}
			else if ($betriebe===true) { // Adressdaten
				$this->load->view('schuelergruppe/betriebe-excel', $data);				
			}
			else { 
				$this->load->view('schuelergruppe/list-excel', $data);
			}			
		}
	
	}


	/* ------------------------------------------------------ */
	/*  Statische Hilfsmethoden für den View                  */
	/* ------------------------------------------------------ */

	public static function formatiereDatum($datum) {
		if (($datum===null) || ($datum==='')) {
			return '-';
		}
		else {
			return substr($datum,8,2).'.'.substr($datum,5,2).'.'.substr($datum,0,4);			
		}
	}

	public static function formatiereKurzDatum($datum) {
		if (($datum===null) || ($datum==='')) {
			return '-';
		}
		else {
			return substr($datum,8,2).'.'.substr($datum,5,2).'.';			
		}
	}

	// Hilfsmethode überprüft vor dem Ausführen eines Controllers, ob Zugriffsberechtigung besteht
	private function checkLogin() {
		
		// Login-Mechanismus nicht aktiviert? Zugriff erteilt!
		if ((!isset($this->myconfig)) || (!isset($this->myconfig['login'])) || ($this->myconfig['login']===false)) { 
			return true; 
		}		
		
		// Login-Mechanismus aktiv => Prüfe, ob gültige Session vorhanden ist
		if (!isset($this->session)) { return false; } // Session vorhanden?
		
		$array = $this->session->all_userdata();
		if (!isset($array)) { return false; } // Session-Daten vorhanden?
		if (!isset($array['logged_in'])) { return false; } // Session-Parameter vorhanden?
		if (!isset($array['username'])) { return false; } // Session-Parameter vorhanden?
		
		$logged = $array['logged_in'];
		if ($logged===false) { return false; } // Session-Parameter richtig besetzt?
		
		return true; // Alle Bedingungen erfüllt
	}
	
}

?>