<?php

class Betriebe_model extends CI_Model {

	public function __construct() {
		parent::__construct();
	    $this->load->database();
	}
	
	/* Ermittelt alle Firmen */
	public function getBetriebe() {
		$this->db->select('k_allgadresse.id, k_allgadresse.allgadrname1, k_allgadresse.allgadrplz, k_allgadresse.allgadrtelefon1');
		$this->db->select('k_ort.plz,k_ort.bezeichnung');
		$this->db->from('k_allgadresse');		
		$this->db->join('k_ort','k_allgadresse.allgadrplz=k_ort.plz','inner'); // INNER JOIN
		
		$this->db->order_by('k_allgadresse.allgadrname1','asc');		
		
		$query = $this->db->get();			
		return $query->result_array();			
	}		
	
	/* Ermittelt einen Firmennamen */
	public function getBetriebsname($betriebsid) {
		$this->db->select('k_allgadresse.id, k_allgadresse.allgadrname1, k_allgadresse.allgadrplz, k_allgadresse.allgadrtelefon1');
		$this->db->from('k_allgadresse');		
		$this->db->where('k_allgadresse.id', $betriebsid+0); // erzwinge numerischen Datentyp 
		
		$query = $this->db->get();			
		return $query->row();			
	}		

	/* Ermittelt alle verfügbare Schüler der ausgewählten Firma*/
	public function getSchuelerByBetrieb($betriebsid, $my_db) {				
		$this->db->select('schueler.id,schueler.status, name, vorname, klasse');
		
		$this->db->from('schueler');
		$this->db->join('schueler_allgadr','schueler.id=schueler_allgadr.schueler_id','inner'); // INNER JOIN
		$this->db->join('k_allgadresse','k_allgadresse.id=schueler_allgadr.adresse_id','inner'); // INNER JOIN			

		$this->db->where('schueler.status',2); 
		$this->db->where('k_allgadresse.id', $betriebsid+0); // erzwinge numerischen Datentyp 

		$this->db->order_by('schueler.klasse','asc');
		
		$query = $this->db->get();			
		return $query->result_array();			
	}		
	
}

?>
