<?php

class Klasse_model extends CI_Model {


	public function __construct() {
		parent::__construct();
	    $this->load->database();		
	}
	

	/* Klassen aus der Klassen- und Versetzungstabelle */
	public function getKlassen() {
		$this->db->select('klasse, asdjahrgang, klassenlehrerkrz, stvklassenlehrerkrz, pruefordnung');
		$this->db->from('versetzung');
		$this->db->join('eigeneschule_jahrgaenge', 'versetzung.jahrgang_id = eigeneschule_jahrgaenge.id','inner'); // INNER JOIN
		$this->db->where('versetzung.sichtbar','+');
		$this->db->order_by('versetzung.klasse','asc');

		$query = $this->db->get();			
		return $query->result_array();		
	}

	/* Klassenanzahl */
	public function getKlassenAnzahl() {
		$this->db->select('klasse, count(*) AS anzahl');
		$this->db->from('schueler');
		$this->db->where('geloescht','-');
		$this->db->where('status',2);
		$this->db->group_by('klasse');
		
		$query = $this->db->get();	
		return $query->result_array();		
	}

	/* Schülernanzahl */
	public function getSchuelerAnzahl() {
		$this->db->select('*');
		$this->db->from('schueler');
		$this->db->where('geloescht','-');
		$this->db->where('status',2);
		
		$query = $this->db->get();	
		return $query->result_array();		
	}

	/* Klassenstärken, berechnet aus allen aktiven Schülern, zur Ergänzung der Klassenübersicht */
	public function getKlassenstaerken() {
		$this->db->select('klasse, count(*) AS anzahl');
		$this->db->from('schueler');
		$this->db->where('geloescht','-');
		$this->db->where('status',2);
		$this->db->group_by('klasse');
		$this->db->order_by('klasse','asc');
		
		$query = $this->db->get();	
		return $query->result_array();		
	}

	/* Jahrgangsstärken, berechnet aus allen aktiven Schülern, zur Ergänzung der Klassenübersicht */
	public function getJahrgangsstaerken() {
		$this->db->select('asdjahrgang, count(*) AS anzahl');
		$this->db->from('schueler');
		$this->db->where('geloescht','-');
		$this->db->where('status',2);
		$this->db->group_by('asdjahrgang');
		$this->db->order_by('asdjahrgang','asc');
		
		$query = $this->db->get();	
		return $query->result_array();		
	}

	/* Jahrgänge aus der Jahrgangstabelle, zur späteren Gruppierung der Klassenübersicht */
	public function getJahrgaenge() {
		$this->db->select('asdjahrgang');
		$this->db->from('eigeneSchule_jahrgaenge');
		$this->db->where('sichtbar','+');
		$this->db->order_by('sortierung','asc');			

		$query = $this->db->get();	
		return $query->result_array();		
	}
	
}

?>