<?php

class Lehrer_model extends CI_Model {


	public function __construct() {
		parent::__construct();
	    $this->load->database();
	}
	
	/* Suche alle auf die Suchparameter passenden Lehrer */
	public function searchLehrer($param) {
		
		// Projektion nach den Parametern aufbauen
		$this->db->select('k_lehrer.id, nachname, vorname');

		if ($param['kuerzel']==='on') { $this->db->select('kuerzel'); }
		if ($param['amt']==='on') { $this->db->select('amtsbezeichnung'); }
		if ($param['anrede']==='on') { $this->db->select('anrede'); }
		if ($param['titel']==='on') { $this->db->select('titel'); }
		if ($param['strasse']==='on') { $this->db->select('strasse'); }
		if ($param['ort']==='on') { 
			$this->db->select('k_lehrer.plz'); 
			$this->db->select('k_ort.bezeichnung AS ort'); 
		}
		if ($param['telefon']==='on') { $this->db->select('tel'); }
		if ($param['handy']==='on') { $this->db->select('handy'); }
		if ($param['email']==='on') { $this->db->select('email'); }
		if ($param['emaildienstlich']==='on') {$this->db->select('emaildienstlich'); }

		// ggf. Ort-Tabelle verknüpfen
		$this->db->from('k_lehrer');
		if ($param['ort']==='on') { 
			$this->db->join('k_ort','k_lehrer.plz=k_ort.plz','left'); // LEFT Join, da evtl. keine PLZ erfasst
		}

		// evtl. Selektion nach den Parametern aufbauen
		$sichtbar = '-';
		if ($param['aktiv']==='on') { $sichtbar='+'; }
		$statistik = '-';
		if ($param['statistik']==='on') { $statistik='+'; }		
		$this->db->where('k_lehrer.sichtbar',$sichtbar);			
		$this->db->where('k_lehrer.statistik',$statistik);			
		
		// Ordnung
		$this->db->order_by('k_lehrer.nachname','ASC');
		$this->db->order_by('k_lehrer.vorname','ASC');
		
	 	$query = $this->db->get();			
	 	return $query->result_array();
	}

	/* Bestimme alle Fächer aller Lehrer */
	public function getLehrerFaecher() {
		$this->db->select('k_lehrer.id, lehrerlehramtlehrbef.lehrbefkrz');
		$this->db->distinct();
		$this->db->from('k_lehrer');
		$this->db->join('lehrerlehramtlehrbef','k_lehrer.id=lehrerlehramtlehrbef.lehrer_id','inner'); // INNER JOIN
		$this->db->order_by('k_lehrer.id','ASC');
		$this->db->order_by('lehrerlehramtlehrbef.lehrbefkrz','ASC');

	 	$query = $this->db->get();			
	 	return $query->result_array();
	}

	/* Ermittelt alle Fotos für alle Lehrer */
	public function getLehrerFotos() {
		$this->db->select('lehrer_id, foto');
		$this->db->from('lehrerfotos');
		$this->db->where('foto IS NOT NULL');

		$query = $this->db->get();			
		return $query->result_array();
	}

	
}

?>