<?php

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

$spreadsheet = new Spreadsheet();
$spreadsheet->getProperties()->setTitle("Lehrerliste");

// 1. Zeile mit Überschriften besetzen

$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(1, 1, 'Nr.');
$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(2, 1, 'Name');
$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(3, 1, 'Vorname');
$column = 3;

if ($param['kuerzel']==='on') { 
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Kürzel');
}
if ($param['faecher']==='on') { 
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Fächer');
}
if ($param['amt']==='on') { 
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Amtsbez.');
}
if ($param['anrede']==='on') { 
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Anrede');
}
if ($param['titel']==='on') { 
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Titel');
}
if ($param['strasse']==='on') { 
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Straße');
}
if ($param['ort']==='on') { 
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'PLZ / Ort');
}
if ($param['telefon']==='on') { 
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Telefonnummer');
}
if ($param['handy']==='on') { 
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Handynummer');
}
if ($param['email']==='on') { 
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'eMail-Adresse');
}
if ($param['emaildienstlich']==='on') { 
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'eMail-Adresse (dienstlich)');
}

// 2. Zeilen für Lehrer anlegen

$row = 1;

foreach ($lehrer as $lehrer_item) {

	$row++;
	
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(1, $row, ($row-1));
	
	$nachname = $lehrer_item['nachname'];
	if ($charset!="utf8") { $nachname = iconv($charset, "utf-8", $nachname); }
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(2, $row, $nachname);
	
	$vorname = $lehrer_item['vorname'];
	if ($charset!="utf8") { $vorname = iconv($charset, "utf-8", $vorname); }
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(3, $row, $vorname);

	$column = 3;

	if ($param['kuerzel']==='on') { 
		$column++;
		$kuerzel = $lehrer_item['kuerzel'];
		if ($charset!="utf8") { $kuerzel = iconv($charset, "utf-8", $kuerzel); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $kuerzel);
	}

	if ($param['faecher']==='on') { 	
		// Fächer heraussuchen
		$feld = array();
		foreach ($faecher as $faecher_item) {
			if ($lehrer_item['id']===$faecher_item['id']) { array_push($feld, $faecher_item['lehrbefkrz']); }
		}			
		// Fächer ausgeben, durch Komma getrennt
		$ausgabe = '';
		$first = 1;
		foreach ($feld as $fach) {
			if ($first===1) { $first=0; }
			else { $ausgabe = $ausgabe . ', '; }
			if ($charset!="utf8") { $fach = iconv($charset, "utf-8", $fach); }
			$ausgabe = $ausgabe . $fach;
		}
		// Feld besetzen
		$column++;
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $ausgabe);		
	}

	if ($param['amt']==='on') { 
		$column++;
		$amtsbezeichnung = $lehrer_item['amtsbezeichnung'];
		if ($charset!="utf8") { $amtsbezeichnung = iconv($charset, "utf-8", $amtsbezeichnung); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $amtsbezeichnung);		
	}
	if ($param['anrede']==='on') { 
		$column++;
		$anrede = $lehrer_item['anrede'];
		if ($charset!="utf8") { $anrede = iconv($charset, "utf-8", $anrede); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $anrede);		
	}
	if ($param['titel']==='on') { 
		$column++;
		$titel = $lehrer_item['titel'];
		if ($charset!="utf8") { $titel = iconv($charset, "utf-8", $titel); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $titel);		
	}
	if ($param['strasse']==='on') { 
		$column++;
		$strasse = $lehrer_item['strasse'];
		if ($charset!="utf8") { $strasse = iconv($charset, "utf-8", $strasse); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $strasse);		
	}
	if ($param['ort']==='on') { 
		$column++;
		$plz = $lehrer_item['plz'];
		if ($charset!="utf8") { $plz = iconv($charset, "utf-8", $plz); }
		$ort = $lehrer_item['ort'];
		if ($charset!="utf8") { $ort = iconv($charset, "utf-8", $ort); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $plz." ".$ort);		
	}
	if ($param['telefon']==='on') { 
		$column++;
		$tel = $lehrer_item['tel'];
		if ($charset!="utf8") { $tel = iconv($charset, "utf-8", $tel); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $tel);		
	}
	if ($param['handy']==='on') { 
		$column++;
		$handy = $lehrer_item['handy'];
		if ($charset!="utf8") { $handy = iconv($charset, "utf-8", $handy); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $handy);		
	}
	if ($param['email']==='on') { 
		$column++;
		$email = $lehrer_item['email'];
		if ($charset!="utf8") { $email = iconv($charset, "utf-8", $email); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $email);		
	}
	if ($param['emaildienstlich']==='on') { 
		$column++;
		$email = $lehrer_item['emaildienstlich'];
		if ($charset!="utf8") { $email = iconv($charset, "utf-8", $email); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $email);		
	}
}

// 3. Excel-Dokument erzeugen und an Browser schicken

// Lasche besetzen
$spreadsheet->getActiveSheet()->setTitle('Lehrerliste');
$spreadsheet->setActiveSheetIndex(0);

// Content-Header mit Varianten für alle Browser
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="lehrerliste.xlsx"');
header('Cache-Control: max-age=0');
header('Cache-Control: max-age=1');
header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT');
header ('Cache-Control: cache, must-revalidate');
header ('Pragma: public'); 
header("Content-Type: application/force-download");
header("Content-Type: application/octet-stream");
header("Content-Type: application/download");;
header("Content-Transfer-Encoding: binary ");

// Excel-Datei schreiben und zum Browser umlenken
$objWriter = new Xlsx($spreadsheet);
$objWriter->save('php://output'); // lenkt den Output um

?>