<?php

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

$spreadsheet = new Spreadsheet();
$spreadsheet->getProperties()->setTitle($title);

// 1. Zeile mit Überschriften besetzen

$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(1, 1, 'Nr.');
$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(2, 1, 'Name');
$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(3, 1, 'Vorname');
$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(4, 1, 'Ausbildungsbetrieb');
$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(5, 1, 'Ausbildungsort');


$row = 1;

foreach ($schueler as $schueler_item) {

	$row++;
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(1, $row, ($row-1));
	
	$name = $schueler_item['name'];
	if ($charset!="utf8") { $name = iconv($charset, "utf-8", $name); }
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(2, $row, $name);
	
	$vorname = $schueler_item['vorname'];
	if ($charset!="utf8") { $vorname = iconv($charset, "utf-8", $vorname); }	
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(3, $row, $vorname);
	
	$betrieb='';
	$betriebORT = '';
	foreach ($betriebeadressen as $mybetrieb) {
		if ($mybetrieb['schueler_id']===$schueler_item['id']) { 
			$betrieb = $mybetrieb['allgadrname1'];
			$betriebORT = $mybetrieb['bezeichnung'];
		}
	}					
				
	if ($charset!="utf8") { $betrieb = iconv($charset, "utf-8", $betrieb); }
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(4, $row, $betrieb);
	
	if ($charset!="utf8") { $betriebORT = iconv($charset, "utf-8", $betriebORT); }
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(5, $row, $betriebORT);
	
}

// 3. Excel-Dokument erzeugen und an Browser schicken

// Lasche besetzen
$spreadsheet->getActiveSheet()->setTitle('Schülerliste');
$spreadsheet->setActiveSheetIndex(0);

// Content-Header mit Varianten für alle Browser
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="'.$excelfilename.'.xlsx"');
header('Cache-Control: max-age=0');
header('Cache-Control: max-age=1');
header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT');
header ('Cache-Control: cache, must-revalidate');
header ('Pragma: public'); 
header("Content-Type: application/force-download");
header("Content-Type: application/octet-stream");
header("Content-Type: application/download");;
header("Content-Transfer-Encoding: binary ");

// Excel-Datei schreiben und zum Browser umlenken
$objWriter = new Xlsx($spreadsheet);
$objWriter->save('php://output'); // lenkt den Output um

?>