<?php

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

$spreadsheet = new Spreadsheet();
$spreadsheet->getProperties()->setTitle($title);

// 1. Zeile mit Überschriften besetzen

$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(1, 1, 'Nr.');
$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(2, 1, 'Name');
$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(3, 1, 'Vorname');
$column = 3;

if ($namen===false) {
	if (($modus!="klasse") && (($modus!="kurs") || (($modus==="kurs") && ($kursalter==='aktuell')))) {
		$column++; 
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Klasse');
	}
	if ($modus==="extern") { 
		$column++; 
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Stammschule');
	}
	if (($modus==="neulaufend") || ($modus==="neuzuletzt")) { 
	  	$column++; 
	  	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Aufnahmedatum');
	}
	if (($modus==="ablaufend") || ($modus==="abzuletzt") || ($modus==="finalzuletzt")) { 
		$column++; 
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Abgangsdatum');
	}
	if (($modus==="aktiv") || ($modus==="klasse") || ($modus==="jahrgang") || (($modus==="kurs") && ($kursalter==='aktuell'))) { 
		$column++; 
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Wdh.');
	}
	if ($modus==="kurs") { 
		$column++; 
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Kursart');
		// ZUGRIFFSPRÜFUNG
		if ((isset($access)) && (isset($access['schueler_noten'])) && ($access['schueler_noten']===true)) { // Noten generell freigeschaltet?	
			if (($config['login']===false) || ($access[$username]['schueler_noten']===true)) { // Noten für Benutzer freigeschaltet?	
				$column++; 
				$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Kursnote');
			}
		}
	}

	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Geschlecht');

	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Geburtsdatum');	
}		

// 2. Schülerdaten zeilenweise einfügen		
	
$row = 1;

foreach ($schueler as $schueler_item) {
	
	$row++;

	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(1, $row, ($row-1));
	$name = $schueler_item['name'];
	if ($charset!="utf8") { $name = iconv($charset, "utf-8", $name); }
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(2, $row, $name); 
	$vorname = $schueler_item['vorname'];
	if ($charset!="utf8") { $vorname = iconv($charset, "utf-8", $vorname); }
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(3, $row, $vorname);

	$column = 3;

	if ($namen===false) {
		if (($modus!="klasse") && (($modus!="kurs") || (($modus==="kurs") && ($kursalter==='aktuell')))) {
			$column++;
			$klasse = $schueler_item['klasse'];
			if ($charset!="utf8") { $klasse = iconv($charset, "utf-8", $klasse); }
			$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, preg_replace("/\\b0*/","",$klasse));
		}
		if ($modus==="extern") { 
			$column++;
			$kurzbez = $schueler_item['kurzbez'];
			if ($charset!="utf8") { $kurzbez = iconv($charset, "utf-8", $kurzbez); }
			$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $kurzbez);
		}	 
		if (($modus==="neulaufend") || ($modus==="neuzuletzt")) { 
			$column++;
			$datum = $schueler_item['aufnahmedatum'];
			if ($charset!="utf8") { $datum = iconv($charset, "utf-8", $datum); }
			$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, Schuelergruppe::formatiereDatum($datum));
		}	
		if (($modus==="ablaufend") || ($modus==="abzuletzt") || ($modus==="finalzuletzt")) { 
			$column++;
			$datum = $schueler_item['entlassdatum'];
			if ($charset!="utf8") { $datum = iconv($charset, "utf-8", $datum); }
			$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, Schuelergruppe::formatiereDatum($datum));
		}										
		if (($modus==="aktiv") || ($modus==="klasse") || ($modus==="jahrgang") || (($modus==="kurs") && ($kursalter==='aktuell'))) {
			$column++;
			if ($schueler_item['wiederholung']==='+') {
				$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, 'W');
			}
		}	
		if ($modus==="kurs") { 
			$column++;
			$kursart = $schueler_item['kursart'];
			if ($charset!="utf8") { $kursart = iconv($charset, "utf-8", $kursart); }
			$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $kursart);

			// ZUGRIFFSPRÜFUNG
			if ((isset($access)) && (isset($access['schueler_noten'])) && ($access['schueler_noten']===true)) { // Noten generell freigeschaltet?
				if (($config['login']===false) || ($access[$username]['schueler_noten']===true)) { // Noten für Benutzer freigeschaltet?			
					$column++;
					if (($schueler_item['notenkrz']===null) || ($schueler_item['notenkrz']==='')) { 
						$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, '-');			
					}
					else {
						$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $schueler_item['notenkrz']);
					}
				}
			}
		}			
	
		$column++;
		if ($schueler_item['geschlecht']==='4') {
			$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, 'w');
		}
		else {
			$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, 'm');		
		}
		
		$column++;
		$datum = $schueler_item['geburtsdatum'];
		if ($charset!="utf8") { $datum = iconv($charset, "utf-8", $datum); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, Schuelergruppe::formatiereDatum($datum));
		
	}


}

// 3. Excel-Dokument erzeugen und an Browser schicken

// Lasche besetzen
$spreadsheet->getActiveSheet()->setTitle('Schülerliste');
$spreadsheet->setActiveSheetIndex(0);

// Content-Header mit Varianten für alle Browser
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="'.$excelfilename.'.xlsx"');
header('Cache-Control: max-age=0');
header('Cache-Control: max-age=1');
header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT');
header ('Cache-Control: cache, must-revalidate');
header ('Pragma: public'); 
header("Content-Type: application/force-download");
header("Content-Type: application/octet-stream");
header("Content-Type: application/download");;
header("Content-Transfer-Encoding: binary ");

// Excel-Datei schreiben und zum Browser umlenken
$objWriter = new Xlsx($spreadsheet);
$objWriter->save('php://output'); // lenkt den Output um

?>