<?php

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

$spreadsheet = new Spreadsheet();
$spreadsheet->getProperties()->setTitle($title);

// 1. Zeile mit Überschriften besetzen

$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(1, 1, 'Nr.');
$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(2, 1, 'Name');
$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(3, 1, 'Vorname');
$column = 3;

if ($param['klasse']==="on") {
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Klasse');
}
if ($param['lehrer']==="on") {
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Klassenlehrer');
}
if ($param['jahrgang']==="on") {
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Jahrgang');
}
if ($param['wdh']==="on") {
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Wdh.');
}
if ($param['geschlecht']==="on") {
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Geschlecht');
}
if ($param['gebdatum']==="on") {
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Geburtsdatum');
}
if ($param['aufnahme']==="on") {
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Aufnahmedatum');
}
if ($param['abgang']==="on") {
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Abgangsdatum');
}
if ($param['uebergang']==="on") {
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Empfehlung');
}
if ($param['strasse']==="on") {
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Straße');
}
if ($param['ort']==="on") {
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'PLZ/Ort');
}
if ($param['telefon']==="on") {
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'Telefon');
}
if ($param['email']==="on") {
	$column++; 
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, 1, 'eMail');
}


// 2. Schülerdaten zeilenweise einfügen		
	
$row = 1;

foreach ($schueler as $schueler_item) {
	
	$row++;

	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(1, $row, ($row-1));
	$name = $schueler_item['name'];
	if ($charset!="utf8") { $name = iconv($charset, "utf-8", $name); }
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(2, $row, $name); 
	$vorname = $schueler_item['vorname'];
	if ($charset!="utf8") { $vorname = iconv($charset, "utf-8", $vorname); }
	$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow(3, $row, $vorname);

	$column = 3;

	if ($param['klasse']==="on") {
		$column++;
		$klasse = $schueler_item['klasse'];
		if ($charset!="utf8") { $klasse = iconv($charset, "utf-8", $klasse); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, preg_replace("/\\b0*/","",$klasse));
	}

	if ($param['lehrer']==="on") {
		$column++;
		$lehrer = $schueler_item['lehrer'];
		if ($charset!="utf8") { $lehrer = iconv($charset, "utf-8", $lehrer); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, preg_replace("/\\b0*/","",$lehrer));
	}
	
	if ($param['jahrgang']==="on") {	
		$column++;
		$jg = $schueler_item['asdjahrgang'];
		if ($charset!="utf8") { $jg = iconv($charset, "utf-8", $jg); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, preg_replace("/\\b0*/","",$jg));
	}

	if ($param['wdh']==="on") {
		$column++;
		$wdh = $schueler_item['wiederholung'];
		if ($wdh==="+") {
			$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, "W");
		}
	}

	if ($param['geschlecht']==="on") {		
		$column++;
		if ($schueler_item['geschlecht']==='4') {
			$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, 'w');
		}
		else {
			$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, 'm');		
		}
	}

	if ($param['gebdatum']==="on") {	
		$column++;
		$datum = $schueler_item['geburtsdatum'];
		if ($charset!="utf8") { $datum = iconv($charset, "utf-8", $datum); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, Schuelersearch::formatiereDatum($datum));
	}

	if ($param['aufnahme']==="on") {	
		$column++;
		$datum = $schueler_item['aufnahmedatum'];
		if ($charset!="utf8") { $datum = iconv($charset, "utf-8", $datum); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, Schuelersearch::formatiereDatum($datum));
	}

	if ($param['abgang']==="on") {	
		$column++;
		$datum = $schueler_item['entlassdatum'];
		if ($charset!="utf8") { $datum = iconv($charset, "utf-8", $datum); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, Schuelersearch::formatiereDatum($datum));
	}

	if ($param['uebergang']==="on") {	
		$column++;
		$text = $schueler_item['uebergangsempfehlung_jg5'];
		if ($charset!="utf8") { $text = iconv($charset, "utf-8", $text); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $text);
	}

	if ($param['strasse']==="on") {	
		$column++;
		$strasse = $schueler_item['strasse'];
		if ($charset!="utf8") { $strasse = iconv($charset, "utf-8", $strasse); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $strasse);
	}

	if ($param['ort']==="on") {	
		$column++;
		$ort = $schueler_item['plz']." ".$schueler_item['ortabk'];
		if ($charset!="utf8") { $ort = iconv($charset, "utf-8", $ort); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $ort);
	}

	if ($param['telefon']==="on") {	
		$column++;
		$tel = $schueler_item['telefon'];
		if ($charset!="utf8") { $tel = iconv($charset, "utf-8", $tel); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $tel);
	}

	if ($param['email']==="on") {	
		$column++;
		$email = $schueler_item['email'];
		if ($charset!="utf8") { $email = iconv($charset, "utf-8", $email); }
		$spreadsheet->getActiveSheet()->setCellValueByColumnAndRow($column, $row, $email);
	}
		
}

// 3. Excel-Dokument erzeugen und an Browser schicken

// Lasche besetzen
$spreadsheet->getActiveSheet()->setTitle('Schülerliste');
$spreadsheet->setActiveSheetIndex(0);

// Content-Header mit Varianten für alle Browser
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="Schülerliste.xlsx"');
header('Cache-Control: max-age=0');
header('Cache-Control: max-age=1');
header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT');
header ('Cache-Control: cache, must-revalidate');
header ('Pragma: public'); 
header("Content-Type: application/force-download");
header("Content-Type: application/octet-stream");
header("Content-Type: application/download");;
header("Content-Transfer-Encoding: binary ");

// Excel-Datei schreiben und zum Browser umlenken
$objWriter = new Xlsx($spreadsheet);
$objWriter->save('php://output'); // lenkt den Output um

?>